echo off
cls
IF "%1" == "" goto noname
IF NOT EXIST %1.MAP goto nomap
echo.
echo  Map name is %1.Map
echo.
echo  1.  Play with No Monsters
echo  2.  Play with Monsters
echo  3.  Load Build with %1.Map
echo  4.  Quit
echo.
choice /c:1234 "Your choice:  "
if errorlevel 4 goto abort
if errorlevel 3 goto build
if errorlevel 2 goto monst
if errorlevel 1 goto nomonst

:monst
echo.
echo  1.  Tiny Grasshopper
echo  2.  I Have No Fear
echo  3.  Who Wants Wang
echo  4.  No Pain No Gain
echo.
choice /c:1234 "Skill level:  "
if errorlevel 4 goto tough
if errorlevel 3 goto hard
if errorlevel 2 goto average
if errorlevel 1 goto easy
:tough
sw -map %1.MAP -s4
goto end

:hard
sw -map %1.MAP -s3
goto end

:average
sw -map %1.MAP -s2
goto end

:easy
sw -map %1.MAP -s1
goto end

:nomonst
echo.
echo Number 3 should show all items.
echo.
choice /c:1234 "Skill level:  "
if errorlevel 4 goto notough
if errorlevel 3 goto nohard
if errorlevel 2 goto noaverage
if errorlevel 1 goto noeasy

:notough
sw -map %1.MAP -s4 -monst
goto end

:nohard
sw -map %1.MAP -s3 -monst
goto end

:noaverage
sw -map %1.MAP -s2 -monst
goto end

:noeasy
sw -map %1.MAP -s1 -monst
goto end

:build
IF NOT EXIST BUILD.EXE goto nobuild
build %1.MAP
goto end

:nobuild
echo.
echo You do not have the BUILD.EXE file installed in this directory.
echo.
goto abort


:nomap
echo.
echo %1.MAP does not exist!
echo Type PLAY THE_MAP_NAME with NO .Map extension.
echo.
goto abort

:noname
echo.
echo You did not enter a MAP_NAME!
echo Type PLAY THE_MAP_NAME with NO .Map extension.
echo.
goto abort

:end
cls
rem  The following line calls the batch file again which I call playsw.bat
IF NOT EXIST PLAYSW.BAT goto noplay
playsw.bat %1

:noplay
echo.
echo PLAYSW.BAT DOES NOT EXIST!
echo Someone has renamed this .BAT file
echo.
goto abort

:abort